lh_entry Struct Reference

`#include <linkhash.h>`

## Data Fields

const void * | k
int | k_is_constant
const void * | v
struct lh_entry * | next
struct lh_entry * | prev

## Detailed Description

An entry in the hash table. Outside of linkhash.c, treat this as opaque.

## Field Documentation

## k

const void* lh_entry::k

The key.

Deprecated:
  Use lh_entry_k() instead of accessing this directly.

Referenced by lh_entry_k(), and lh_get_hash().

## k_is_constant

int lh_entry::k_is_constant

A flag for users of linkhash to know whether or not they need to free k.

Deprecated:
  use lh_entry_k_is_constant() instead.

Referenced by lh_entry_k_is_constant().

## next

struct lh_entry* lh_entry::next

The next entry.

Deprecated:
  Use lh_entry_next() instead of accessing this directly.

Referenced by lh_entry_next().

## prev

struct lh_entry* lh_entry::prev

The previous entry.

Deprecated:
  Use lh_entry_prev() instead of accessing this directly.

Referenced by lh_entry_prev().

## v

const void* lh_entry::v

The value.

Deprecated:
  Use lh_entry_v() instead of accessing this directly.

Referenced by lh_entry_set_val(), and lh_entry_v().

The documentation for this struct was generated from the following file:

- linkhash.h